Bug 962521 - Drupal error "Call to undefined function" in httpd error_log file
Drupal error "Call to undefined function" in httpd error_log file
Product: OpenShift Online
Classification: Red Hat
Component: Website (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
Depends On:
  Show dependency treegraph
Reported: 2013-05-13 14:36 EDT by Thomas Wiest
Modified: 2015-05-14 21:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2013-06-11 00:03:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thomas Wiest 2013-05-13 14:36:12 EDT
Description of problem:
We're seeing quite a few of thse errors in the error_log file on the drupal nodes in production:

[Mon May 13 14:00:55 2013] [error] [client] PHP Fatal error:  Call to undefined function drupal_exit() in /etc/drupal6/all/modules/custom/redhat_frontpage/redhat_frontpage.module on line 59

Version-Release number of selected component (if applicable):

How reproducible:
unsure, seeing it in the logs

Steps to Reproduce:
1. unknown

Actual results:
The error above

Expected results:
No error
Comment 1 Clayton Coleman 2013-05-20 15:06:12 EDT
Fixed in site_nav_changes branch on integration systems.

Note You need to log in before you can comment on or make changes to this bug.